/* 
 * File:   main.c
 * Author: Bugz Bensce
 *
 * Created on 18 March 2023, 3:51 PM
 */

#define _XTAL_FREQ 8000000
#include <stdio.h>
#include <stdlib.h>
#include <xc.h>
#include "assets/config/config.h"
#include "assets/lcd/Lcd4.h"
#include "assets/DS18B20/DS18B20.h"
//------------------------------------------------------------------------------
int main(int argc, char** argv) 
{  
  OSCCON =  0x70;       // set internal oscillator to 8MHz
  ANSELH = 0;           // configure all PORTB pins as digital
  
  LCD_init();
  
  while(1)
  {     
    signed int rawTemp = 0;
    
    if(ds18b20_read(&rawTemp))
    { 
      char strTempr[20];
        
      sprintf(strTempr,"Temp: %3.4f%cC",ds18b20_toFloat(rawTemp),223);  //223 is  symbol. Not a standard ascii character
      LCD_string(0,0, strTempr);
    }
  }
  
  return (EXIT_SUCCESS);
}
//------------------------------------------------------------------------------